import { baseServer, transaction } from '@/api'
import request from '@/utils/require'
// 成交数据维护里的接口
export function list(data) {
	return request({
		url: `${transaction}/turnoverdata/selectTurnoverDataPageList?pageNum=${data.pageNum}&pageSize=${data.pageSize}`,
		method: 'post',
		data: data
	})
}
export function detail(data) {
	return request({
		url: `${transaction}/turnoverdata/selectTurnoverDataDetail`,
		method: 'post',
		data: data
	})
}

// base-server 合同接口
export function contractPage(data) {
	return request({
		url: `${baseServer}/contractPage/${data.pageNum}/${data.pageSize}`,
		method: 'post',
		data: data
	})
}
export function contract(htxxid) {
	return request({
		url: `${baseServer}/contract/${htxxid}`,
		method: 'get'
	})
}
